# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name hoogle

Name:           %{pkg_name}
Version:        4.2.16
Release:        3%{?dist}
Summary:        Haskell API Search

License:        BSD
URL:            http://hackage.haskell.org/package/%{name}
Source0:        http://hackage.haskell.org/packages/archive/%{name}/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-binary-devel
BuildRequires:  ghc-blaze-builder-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-case-insensitive-devel
BuildRequires:  ghc-cmdargs-devel
BuildRequires:  ghc-conduit-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-haskell-src-exts-devel
BuildRequires:  ghc-http-types-devel
BuildRequires:  ghc-old-locale-devel
BuildRequires:  ghc-old-time-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-random-devel
BuildRequires:  ghc-safe-devel
BuildRequires:  ghc-tagsoup-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-uniplate-devel
BuildRequires:  ghc-unix-devel
BuildRequires:  ghc-wai-devel
BuildRequires:  ghc-warp-devel
# End cabal-rpm deps
# conduit not building with ghc-7.6.3
ExcludeArch:    armv7hl

%description
Hoogle is a Haskell API search engine, which allows you to search many standard
Haskell libraries by either function name, or by approximate type signature.


%package -n ghc-%{name}
Summary:        Haskell %{name} library

%description -n ghc-%{name}
This package provides the Haskell %{name} shared library.


%package -n ghc-%{name}-devel
Summary:        Haskell %{name} library development files
Provides:       ghc-%{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       ghc-%{name}%{?_isa} = %{version}-%{release}

%description -n ghc-%{name}-devel
This package provides the Haskell %{name} library development files.


%prep
%setup -q
# fix dos format
sed -i 's/\r//' README.txt


%build
%ghc_lib_build


%install
%ghc_lib_install


%post -n ghc-%{name}-devel
%ghc_pkg_recache


%postun -n ghc-%{name}-devel
%ghc_pkg_recache


%files
%doc docs/LICENSE
%doc README.txt
%{_bindir}/%{name}
%{_datadir}/%{name}-%{version}


%files -n ghc-%{name} -f ghc-%{name}.files
%doc docs/LICENSE


%files -n ghc-%{name}-devel -f ghc-%{name}-devel.files


%changelog
* Thu Oct 10 2013 Jens Petersen <petersen@redhat.com> - 4.2.16-3
- drop conditional on ExcludeArch since koji cannot handle it

* Sun Sep 29 2013 Jens Petersen <petersen@redhat.com> - 4.2.16-2
- devel provides static (cabal-rpm-0.8.5)
- only exclude arm on f20 and later since no conduit currently
- fix dos lining-endings in README.txt

* Sat Sep 14 2013 Jens Petersen <petersen@redhat.com> - 4.2.16-1
- exclude ARM because of conduit stack

* Sat Sep 14 2013 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 4.2.16-0
- spec file generated by cabal-rpm-0.8.3
